The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

How to use two different version of PHP?

Discussion in 'EasyApache' started by colino, Jul 14, 2014.

  1. colino

    colino Registered

    Joined:
    Jul 14, 2014
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    Hi,
    i need to use 2 different version of php for two domains, there is a simple way to do this??
    how can i set for one domain a versione and for another a newest version of php?
     
  2. ScottTh

    ScottTh Well-Known Member

    Joined:
    Jan 28, 2013
    Messages:
    157
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    Hi colino,

    EasyApache does not currently support multiple PHP installations at the moment. Please visit the Feature Request Site and join the discussion about multiple PHP versions. It's those comments that help us decide how we could implement a feature and the demand for it.

    Thank you!
     
  3. cPanelJared

    cPanelJared Technical Analyst
    Staff Member

    Joined:
    Feb 25, 2010
    Messages:
    1,842
    Likes Received:
    18
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    One option, if you need multiple PHP versions in the near term, is CloudLinux. CloudLinux provides a PHP Selector that allows different accounts to use different versions of PHP. You can learn about CloudLinux here:

    CloudLinux OS

    CloudLinux does require a separate license, and we (cPanel support) do provide support for it if you purchase a CloudLinux license from cPanel. If you purchase a CloudLinux license directly from CloudLinux, you will need to contact CloudLinux directly for CloudLinux-related support.
     
Loading...

Share This Page